--p = peripheral.wrap("bottom")
--p.setEjecting("energy", false)

-- print("Oczekiwanie na sygnal...")

-- while true do
--     local id, wiadomosc = rednet.receive()
--     if id == 0 then
--         if type(wiadomosc) == "boolean" then
--             redstone.setOutput("bottom", wiadomosc)
--             print("Otrzymano sygnal: " .. tostring(wiadomosc))
--         else
--             print("Próba nieautoryzowanego dostępu od ID: " .. id)
--         end
--     end
-- end

-- for i, j in ipairs(peripheral.getMethods("back")) do
--     print(j)
-- end

-- p = peripheral.wrap("bottom")
-- p.getEnergy()
-- print(p.getMaxEnergy())
